// 
////////////////////////
// APMProcessStream
// : 处理音频数据
// : 注：本地采集到音频数据，将调用该函数，送入APM进行处理
// : 限制条件：该函数只接受10ms封包长度数据；如果数据超过10ms，则应切割后一次送入该函数；
// 
// 参数:
//	 -pHandle			: [IN]	APM句柄的指针，调用 pi_get_apm_instance() 获取
//   -nSampleRateHZ		: [IN]	采样率
//	 -nSamplesPerChannel: [IN]	每通道采样数 -- 传入音频数据中每channel的采样数
//	 -nChannels			: [IN]	通道数 -- 传入音频数据的channel数
//	 -pAudioData		: [INOUT]	音频数据，经过处理之后，数据将通过pAudioData传回
//   -nDataLen			: [IN]	音频数据长度(字节数)
//	 -nDelayMS			: [IN]	延迟，调用 js_audiotrack_delay() 获取
//	 -nClockDrift		: [IN]	暂固定为0
// 
// 返回值:
//	 0					: 成功
//	 <0 				: 失败，错误码
// 
extern "C" {
    int PSAPMProcessStream(void* pHandle, int nSampleRateHZ, int nSamplesPerChannel, int nChannels,
                void* pAudioData, int nDataLen, int nDelayMS, int nClockDrift);

    void *pi_get_apm_instance();

    int js_audiotrack_delay();
}
